Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogManager

All Superinterfaces:
  BusinessSmartComponent, CatalogService, EJBObject, Remote, Serializable, Session

public interface CatalogManager
extends CatalogService

The `CatalogManager` is the main entry point to the Product Catalog. It controls access to a number of discrete service interfaces: category manager, product item manager, query manager and the custom data manager.
In order to use the various Product Catalog services, one must first create a `CatalogManager` and then obtain discrete service interfaces using the various service accessors. Each service interface is responsible for delegating to an implementation service, as specified in each service interface deployment environment. In this way, different service implementations may be transparently substituted.

See Also:
  `CatalogManagerHome`, `CatalogManagerImpl`, `CategoryManager`, `ProductItemManager`, `CatalogQueryManager`, `CustomDataManager`

Method Summary
`CatalogRequest` | `createAdminCatalogRequest()` Creates a CatalogRequest with administrative user access permissions.
`CatalogRequest` | `createCatalogRequest()` Creates a CatalogRequest with default user access permissions.
`CatalogQueryManager` | `getCatalogQueryManager(CatalogRequest request)` Returns the CatalogQueryManager catalog service.
`CategoryManager` | `getCategoryManager(CatalogRequest request)` Returns the CategoryManager catalog service.
`CustomDataManager` | `getCustomDataManager(CatalogRequest request)` Returns the CustomDataManager catalog service.
`ProductItemManager` | `getProductItemManager(CatalogRequest request)` Returns the ProductItemManager catalog service.
`void` | `onRemoveItem(CatalogRequest request, CatalogItemKey item)` Callback method.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### createAdminCatalogRequest

    public CatalogRequest createAdminCatalogRequest()
                                             throws RemoteException

  Creates a CatalogRequest with administrative user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  Throws:
    `RemoteException`
  See Also:
    `createCatalogRequest()`

### createCatalogRequest

    public CatalogRequest createCatalogRequest()
                                        throws RemoteException

  Creates a CatalogRequest with default user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  Throws:
    `RemoteException`
  See Also:
    `createAdminCatalogRequest()`

### getCatalogQueryManager

    public CatalogQueryManager getCatalogQueryManager(CatalogRequest request)
                                               throws RemoteException

  Returns the CatalogQueryManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CatalogQueryManager service
  Throws:
    `RemoteException`
  See Also:
    `CatalogQueryManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getCategoryManager

    public CategoryManager getCategoryManager(CatalogRequest request)
                                       throws RemoteException

  Returns the CategoryManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CategoryManager service
  Throws:
    `RemoteException`
  See Also:
    `CategoryManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getCustomDataManager

    public CustomDataManager getCustomDataManager(CatalogRequest request)
                                           throws RemoteException

  Returns the CustomDataManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CustomDataManager service
  Throws:
    `RemoteException`
  See Also:
    `CustomDataManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### getProductItemManager

    public ProductItemManager getProductItemManager(CatalogRequest request)
                                             throws RemoteException

  Returns the ProductItemManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the ProductItemManager service
  Throws:
    `RemoteException`
  See Also:
    `ProductItemManager`, `createCatalogRequest()`, `createAdminCatalogRequest()`

### onRemoveItem

    public void onRemoveItem(CatalogRequest request,
                             CatalogItemKey item)
                      throws RemoteException

  Callback method. Services that remove items: `CategoryManager.removeCategory` and `ProductItemMananger.removeItem` should notify the `CatalogManager` that the items have been removed.

  Parameters:
    `request` - the current CatalogRequest for the user
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved